version: "3.8"
name: seta-compose
services:

  auth:    
    build:
      context: ../
      dockerfile: dockerfiles/Dockerfile-auth-dev
      args:
        - HTTP_PROXY=${HTTP_PROXY}
        - HTTPS_PROXY=${HTTPS_PROXY}
    expose:
      - "8082"
    environment:
      - NO_PROXY=${NO_PROXY}
      - no_proxy=${NO_PROXY}
      - ROOT_USERS
      - API_SECRET_KEY
      - GITHUB_CLIENT_ID
      - GITHUB_CLIENT_SECRET
      - DB_HOST
      - DB_PORT
      - DB_NAME
      - DB_USER
      - DB_PASSWORD
      - STAGE
    volumes:
      - ../:/home/seta
      - ../config:/etc/seta
    networks:
      - seta-network

  ui:
    build:
      context: ../
      dockerfile: dockerfiles/Dockerfile-ui-dev
      args:
        - HTTP_PROXY=${HTTP_PROXY}
        - HTTPS_PROXY=${HTTPS_PROXY}
    expose:
      - "8080"
    environment:
      - NO_PROXY=${NO_PROXY}
      - no_proxy=${NO_PROXY}
      - ROOT_USERS
      - API_SECRET_KEY
      - DB_HOST
      - DB_PORT
      - DB_NAME
      - DB_USER
      - DB_PASSWORD
      - STAGE
    volumes:
      - ../:/home/seta
      - ../config:/etc/seta
    depends_on:
      - "auth"
    networks:
      - seta-network

  nginx:
    image: ${CONTAINER_REGISTRY}/frontend/proxy-ws:local-dev
    environment:
      - NO_PROXY=${NO_PROXY}
      - no_proxy=${NO_PROXY}
    ports:
      - "80:80"
    depends_on:
      - "auth"
      - "ui"
    networks:
      - seta-network

networks:
  seta-network:
    name: seta-network
    driver: bridge